Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 586)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 587)
@@ -178,8 +178,10 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
@@ -221,10 +223,10 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 IGCM_sys_Rm -Rf ATLAS
 IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 586)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 587)
@@ -178,8 +178,10 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
@@ -256,5 +258,5 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 
 IGCM_sys_Rm -Rf ATLAS
@@ -267,5 +269,5 @@
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 586)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 587)
@@ -187,8 +187,10 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
@@ -227,10 +229,10 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 IGCM_sys_Rm -Rf ATLAS
 IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_sechiba_history.nc
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 586)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 587)
@@ -179,8 +179,10 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
@@ -225,5 +227,5 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 
 IGCM_sys_Rm -Rf ATLAS
@@ -232,5 +234,5 @@
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 586)
+++ /trunk/libIGCM/AA_monitoring	(revision 587)
@@ -224,8 +224,10 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
@@ -285,5 +287,5 @@
 
 # Save files
-IGCM_sys_Put_Dir MONITORING ${R_SAVE}
+IGCM_sys_Put_Dir MONITORING ${R_FIGR}
 
 # Dods copy
Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 586)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 587)
@@ -180,8 +180,10 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
   else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 586)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 587)
@@ -112,6 +112,11 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
+
+#====================================================
 
 #====================================================
@@ -123,4 +128,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -895,5 +904,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1066,5 +1075,6 @@
     if [ -f $2 ] ; then
       IGCM_debug_Print 1 "$2 already exist"
-      dmget $2
+      #dmget $2
+      ccc_hsm get $2
       exist=true
       if [ "X$( diff $1 $2 )" = X ] ; then
@@ -1161,5 +1171,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1175,5 +1186,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 586)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 587)
@@ -102,6 +102,9 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
 
 #====================================================
@@ -113,4 +116,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -833,5 +840,6 @@
     #USUAL WAY
     # add dmget (to demigrate all offline files) to reduce time of this command :
-    dmget $1/*
+    #dmget $1/*
+    ccc_hsm get $1/*
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1027,5 +1035,6 @@
     if [ -f $2 ] ; then
       IGCM_debug_Print 1 "$2 already exist"
-      dmget $2
+      #dmget $2
+      ccc_hsm get $2
       exist=true
       if [ "X$( diff $1 $2 )" = X ] ; then
@@ -1166,5 +1175,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
 
@@ -1181,5 +1191,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
@@ -1389,14 +1400,28 @@
     echo "IGCM_sys_Put_Dods :" $@
   fi
+  typeset RET
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
+    if ( [ ! -d ${R_SAVE}/${1} ] && [ ! -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : None of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} DOES NOT EXIST."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} DOES NOT EXIST."
       IGCM_debug_PopStack "IGCM_sys_Put_Dods"
       return
     fi
 
-    typeset RET
-	#
-    cd ${R_SAVE}
+    if ( [ -d ${R_SAVE}/${1} ] && [ -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : Both of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} EXISTS."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} EXISTS."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dods"
+      return
+    fi
+    #
+    if [ -d ${R_SAVE}/${1} ] ; then
+      cd ${R_SAVE}
+    elif [ -d ${R_FIGR}/${1} ] ; then
+      cd ${R_FIGR}
+    fi
+
     IGCM_sys_Dods_Rm ${1}
     IGCM_sys_Dods_Cp ${1}
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 586)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 587)
@@ -89,4 +89,34 @@
 #====================================================
 
+# ============ CESIUM START ============ #
+
+#====================================================
+#- Mirror libIGCM from mercure to cesium if needed
+#ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $3}' )
+#if [ ! ${ROOTSYS} = "home" ] ; then
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
+#else
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+#fi
+
+#====================================================
+#- libIGCM_POST
+#if ( ${MirrorlibIGCM} ) ; then
+#  PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+#  typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
+#else
+#  typeset -r libIGCM_POST=${libIGCM}
+#fi
+
+# ============ CESIUM  END  ============ #
+
+#====================================================
+#- MirrorlibIGCM uncomment for frontend
+typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+
+#====================================================
+#- libIGCM_POST uncomment for frontend
+typeset -r libIGCM_POST=${libIGCM}
+
 #====================================================
 #- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
@@ -98,36 +128,9 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
-
-# ============ CESIUM START ============ #
-
-#====================================================
-#- Mirror libIGCM from mercure to cesium if needed
-#ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $2}' )
-#if [ ! ${ROOTSYS} = "home" ] ; then
-#    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
-#else
-#    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-#fi
-
-#====================================================
-#- libIGCM_POST
-#if ( ${MirrorlibIGCM} ) ; then
-#    PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
-#    typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
-#else
-#    typeset -r libIGCM_POST=${libIGCM}
-#fi
-
-# ============ CESIUM  END  ============ #
-
-#====================================================
-#- Mirror libIGCM from mercure to cesium if needed
-typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-
-#====================================================
-#- libIGCM_POST
-typeset -r libIGCM_POST=${libIGCM}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
 
 #====================================================
@@ -139,4 +142,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -271,15 +278,4 @@
     status=completed
   fi
-
-  ssh ${MASTER} /bin/ksh <<-EOF
-  export LOGIN=${LOGIN}
-  export config_UserChoices_JobName=${config_UserChoices_JobName}
-  export config_UserChoices_MailName=${config_UserChoices_MailName}
-  export DateBegin=${DateBegin}
-  export DateEnd=${DateEnd}
-  export R_SAVE=${R_SAVE}
-  export SUBMIT_DIR=${SUBMIT_DIR}
-  export status=${status}
-
   cat  << END_MAIL > job_end.mail
   Dear ${LOGIN},
@@ -296,9 +292,7 @@
   elif [ -f ~/.forward ] ; then
     mailx -s "${config_UserChoices_JobName} ${status}" $( cat ~/.forward ) < job_end.mail
-  fi
-
-  sleep 10
-  rm -f job_end.mail
-EOF
+  else
+    mailx -s "${config_UserChoices_JobName} ${status}" ${LOGIN} < job_end.mail
+  fi
 
   if [ $? -gt 0 ] ; then
@@ -627,10 +621,9 @@
 # ============ FRONTEND START ============ #
 
-  /usr/bin/nqsII/qsub -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
+  /usr/bin/nqsII/qsub -q scalaire -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
 
 # ============ FRONTEND  END  ============ #
 
 # ============ CESIUM START ============ #
-
 #  typeset NB_ESSAI DELAI status i
 #  # number of tentative
@@ -649,5 +642,4 @@
 #    (( i = i + 1 ))
 #  done 
-
 # ============ CESIUM  END  ============ #
 
@@ -956,5 +948,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1233,5 +1225,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1247,5 +1240,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 586)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 587)
@@ -89,4 +89,34 @@
 #====================================================
 
+# ============ CESIUM START ============ #
+
+#====================================================
+#- Mirror libIGCM from mercure to cesium if needed
+#ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $3}' )
+#if [ ! ${ROOTSYS} = "home" ] ; then
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
+#else
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+#fi
+
+#====================================================
+#- libIGCM_POST
+#if ( ${MirrorlibIGCM} ) ; then
+#  PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+#  typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
+#else
+#  typeset -r libIGCM_POST=${libIGCM}
+#fi
+
+# ============ CESIUM  END  ============ #
+
+#====================================================
+#- MirrorlibIGCM uncomment for frontend
+typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+
+#====================================================
+#- libIGCM_POST uncomment for frontend
+typeset -r libIGCM_POST=${libIGCM}
+
 #====================================================
 #- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
@@ -98,36 +128,9 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
-
-# ============ CESIUM START ============ #
-
-#====================================================
-#- Mirror libIGCM from mercure to cesium if needed
-ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $3}' )
-if [ ! ${ROOTSYS} = "home" ] ; then
-  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
-else
-  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-fi
-
-#====================================================
-#- libIGCM_POST
-if ( ${MirrorlibIGCM} ) ; then
-  PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
-  typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
-else
-  typeset -r libIGCM_POST=${libIGCM}
-fi
-
-# ============ CESIUM  END  ============ #
-
-#====================================================
-#- MirrorlibIGCM uncomment for frontend
-#typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-
-#====================================================
-#- libIGCM_POST uncomment for frontend
-#typeset -r libIGCM_POST=${libIGCM}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
 
 #====================================================
@@ -139,4 +142,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -941,5 +948,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1218,5 +1225,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1232,5 +1240,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 586)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 587)
@@ -103,16 +103,4 @@
 #====================================================
 
-#====================================================
-#- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
-typeset -r R_EXE="${MODIPSL}/bin"
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${LS_SUBCWD}}
-
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
-
 # ============ CESIUM START ============ #
 
@@ -146,4 +134,19 @@
 
 #====================================================
+#- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
+typeset -r R_EXE="${MODIPSL}/bin"
+
+#====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${LS_SUBCWD}}
+
+#====================================================
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
+
+#====================================================
 #- IN
 typeset -r R_IN=${R_IN:=/ccc/work/cont003/dsm/p86ipsl/IGCM}
@@ -153,4 +156,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -1027,5 +1034,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1340,5 +1347,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1354,5 +1362,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
@@ -1570,14 +1579,28 @@
     echo "IGCM_sys_Put_Dods :" $@
   fi
+  typeset RET
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
+    if ( [ ! -d ${R_SAVE}/${1} ] && [ ! -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : None of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} DOES NOT EXIST."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} DOES NOT EXIST."
       IGCM_debug_PopStack "IGCM_sys_Put_Dods"
       return
     fi
 
-    typeset RET
-	#
-    cd ${R_SAVE}
+    if ( [ -d ${R_SAVE}/${1} ] && [ -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : Both of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} EXISTS."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} EXISTS."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dods"
+      return
+    fi
+    #
+    if [ -d ${R_SAVE}/${1} ] ; then
+      cd ${R_SAVE}
+    elif [ -d ${R_FIGR}/${1} ] ; then
+      cd ${R_FIGR}
+    fi
+
     IGCM_sys_Dods_Rm ${1}
     IGCM_sys_Dods_Cp ${1}