Index: branches/libIGCM_MPI_OpenMP/AA_additionnal
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_additionnal	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_additionnal	(revision 597)
@@ -86,14 +86,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r ATL_ADD        # Nom du job
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 2              # Reservation du processus
-#-Q- sx9mercure #MSUB -c 4              # Reservation du core
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N  ATL_ADD            # Nom du job
+#-Q- sx9mercure #PBS -j o                   # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh        # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb       # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r ATL_LMDZ       # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N  ATL_LMDZ           # Nom du job
+#-Q- sx9mercure #PBS -j o                   # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh        # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb       # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r ATL_OPA        # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N  ATL_OPA             # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r ATL_ORCH       # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N  ATL_ORCH            # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r ATL_PIS        # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N  ATL_PIS             # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_create_multi_se
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r MULTISE             # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N MULTISE                   # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_create_se
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r SE             # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N SE                   # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_create_ts
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_create_ts	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_create_ts	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r TS             # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N TS                   # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=24:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_monitoring
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 597)
@@ -85,13 +85,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r MONITORING     # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure ######################
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
+#-Q- sx9mercure ######################
+#-Q- sx9mercure #PBS -N  MONITORING          # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_pack_debug
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 597)
@@ -79,12 +79,12 @@
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
-#-Q- sx9mercure ## CESIUM   CEA ##
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKDEBUG    # Nom du job
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure #PBS -N PACKDEBUG          # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_pack_output
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_pack_output	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_pack_output	(revision 597)
@@ -79,12 +79,12 @@
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
-#-Q- sx9mercure ## CESIUM   CEA ##
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKOUTPUT    # Nom du job
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure #PBS -N PACKOUTPUT          # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_pack_restart
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_pack_restart	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_pack_restart	(revision 597)
@@ -79,12 +79,12 @@
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
-#-Q- sx9mercure ## CESIUM   CEA ##
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKRESTART    # Nom du job
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure #PBS -N PACKRESTART          # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive	(revision 597)
@@ -86,12 +86,12 @@
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r REBUILDARCH    # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure #PBS -N REBUILDARCH          # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir
===================================================================
--- branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir	(revision 596)
+++ branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir	(revision 597)
@@ -86,12 +86,12 @@
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
-#-Q- sx9mercure ## CESIUM   CEA ##
+#-Q- sx9mercure ## SX9MERCURE  CCRT ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r REBUILDWRK     # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
+#-Q- sx9mercure #PBS -N REBUILDWRK           # Nom du job
+#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
+#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
+#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
+#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################