Index: /branches/libIGCM_MPI_OpenMP/AA_SaveSourceModifications
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_SaveSourceModifications	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_SaveSourceModifications	(revision 605)
@@ -35,5 +35,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=0:10:00   # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=0:10:00   # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_additionnal
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_additionnal	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_additionnal	(revision 605)
@@ -93,5 +93,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh        # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb       # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -l elapstim_req=2:00:00  # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh        # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb       # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -l elapstim_req=2:00:00  # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -l elapstim_req=2:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -l elapstim_req=1:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -l elapstim_req=2:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_create_multi_se
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=1:00:00   # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_create_se
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=1:00:00   # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_create_ts
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_create_ts	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_create_ts	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -l elapstim_req=24:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_monitoring
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
+#-Q- sx9mercure #PBS -l elapstim_req=1:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_pack_debug
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 605)
@@ -85,5 +85,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_pack_output
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_pack_output	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_pack_output	(revision 605)
@@ -85,5 +85,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_pack_restart
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_pack_restart	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_pack_restart	(revision 605)
@@ -85,5 +85,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_rebuild_fromArchive	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh
Index: /branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir	(revision 604)
+++ /branches/libIGCM_MPI_OpenMP/AA_rebuild_fromWorkdir	(revision 605)
@@ -92,5 +92,5 @@
 #-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
 #-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
+#-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
 #-Q- titane #!/bin/ksh