Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 625)
+++ /trunk/libIGCM/AA_additionnal	(revision 626)
@@ -13,5 +13,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r ATL_ADD        # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 625)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r ATL_LMDZ       # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 625)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r ATL_OPA        # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 625)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r ATL_ORCH       # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 625)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r ATL_PIS        # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 625)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r MULTISE        # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 625)
+++ /trunk/libIGCM/AA_create_se	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r SE             # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 625)
+++ /trunk/libIGCM/AA_monitoring	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r MONITORING     # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 625)
+++ /trunk/libIGCM/AA_pack_debug	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r PACKDEBUG      # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 625)
+++ /trunk/libIGCM/AA_pack_output	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r PACKOUTPUT     # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 625)
+++ /trunk/libIGCM/AA_pack_restart	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r PACKRESTART    # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 625)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r REBUILDARCH    # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 625)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 626)
@@ -12,5 +12,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r REBUILDWRK     # Nom du job               
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus