Index: trunk/libIGCM/AA_clean_month
===================================================================
--- trunk/libIGCM/AA_clean_month	(revision 633)
+++ trunk/libIGCM/AA_clean_month	(revision 634)
@@ -74,4 +74,18 @@
 IGCM_debug_PrintVariables 3 config_UserChoices_DateEnd
 IGCM_debug_PrintVariables 3 config_UserChoices_PeriodLength
+
+#==================================
+# Define default value to keep compatibility with previous card: means before changes due to TGCC
+if [ X${PackDefault} = Xtrue ] ; then
+  [ X${config_Post_PackFrequency} = X ] && config_Post_PackFrequency=${config_Post_RebuildFrequency}
+else
+  config_Post_PackFrequency=NONE
+fi
+
+#==================================
+# If pack is active then PackFrequency overule the config_UserChoices_PeriodLength
+if ( [ ! X${config_Post_PackFrequency} = X${NULL_STR} ] && [ ! X${config_Post_PackFrequency} = XNONE ] ) ; then
+  Pack=true
+fi
 
 #====================================================
@@ -108,7 +122,11 @@
     CountListFiles=${#ListFiles[@]}
 
-    echo "Search files with ${PeriodDateEnd} in ${R_BUFR}"
-    set +A ListFilesBuf -- $( IGCM_sys_RshMaster "find ${R_BUFR} -name \"*${PeriodDateEnd}*\" " )
-    CountListFilesBuf=${#ListFilesBuf[@]}
+    if [ X${Pack} = Xtrue ] ; then
+      echo "Search files with ${PeriodDateEnd} in ${R_BUFR}"
+      set +A ListFilesBuf -- $( IGCM_sys_RshMaster "find ${R_BUFR} -name \"*${PeriodDateEnd}*\" " )
+      CountListFilesBuf=${#ListFilesBuf[@]}
+    else
+      CountListFilesBuf=0
+    fi
 
     # If exist, erase REBUILD DIR
@@ -131,8 +149,9 @@
 	    IGCM_debug_Print 2 -e "\033[1;31m ${file}\033[m"
 	done
-	for file in ${ListFilesBuf[@]} ; do
+        if [ X${Pack} = Xtrue ] ; then
+	  for file in ${ListFilesBuf[@]} ; do
 	    IGCM_debug_Print 2 -e "\033[1;31m ${file}\033[m"
-	done
-
+	  done
+        fi
 	echo -e "\033[1;32mDo you REALLY want to erase all those files ?"
 	echo -n -e " Your answer (y/n) : \033[m"
@@ -143,5 +162,7 @@
 		echo "OK. It will be erased."
 		IGCM_sys_RshArchive "find ${R_SAVE} -name \"*${PeriodDateEnd}*\" -exec rm -f '{}' \;"
-		IGCM_sys_RshMaster  "find ${R_BUFR} -name \"*${PeriodDateEnd}*\" -exec rm -f '{}' \;"
+                if [ X${Pack} = Xtrue ] ; then
+		  IGCM_sys_RshMaster  "find ${R_BUFR} -name \"*${PeriodDateEnd}*\" -exec rm -f '{}' \;"
+                fi
 		echo "done."
 		;;
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 633)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 634)
@@ -506,9 +506,16 @@
       IGCM_debug_Print 2 "Try to save previous ksh job output"
       IGCM_sys_Cd ${SUBMIT_DIR}/
-      IGCM_sys_PutBuffer_Out ${Last_Script_Output_Name} ${R_BUF_KSH}/${Last_Script_Output_Name}.$$ rw
+      if [ X${Pack} = Xtrue ] ; then
+        IGCM_sys_PutBuffer_Out ${Last_Script_Output_Name} ${R_BUF_KSH}/${Last_Script_Output_Name}.$$ rw
+      else
+        IGCM_sys_Put_Out ${Last_Script_Output_Name} ${R_OUT_KSH}/${Last_Script_Output_Name}.$$ rw
+      fi
 
       IGCM_card_CheckConflict run.card
-      IGCM_sys_PutBuffer_Out ${SUBMIT_DIR}/run.card ${R_BUF_KSH}/${Last_run_card}.$$ rw
-
+      if [ X${Pack} = Xtrue ] ; then
+        IGCM_sys_PutBuffer_Out ${SUBMIT_DIR}/run.card ${R_BUF_KSH}/${Last_run_card}.$$ rw
+      else
+        IGCM_sys_Put_Out ${SUBMIT_DIR}/run.card ${R_OUT_KSH}/${Last_run_card}.$$ rw
+      fi
       IGCM_sys_Cd ${RUN_DIR}
     else
@@ -808,9 +815,17 @@
   #         Save Job output          #
   #==================================#
-  IGCM_sys_PutBuffer_Out ${Exe_Output} ${R_BUF_KSH}/${PREFIX}_${Exe_Output}
+  if [ X${Pack} = Xtrue ] ; then
+    IGCM_sys_PutBuffer_Out ${Exe_Output} ${R_BUF_KSH}/${PREFIX}_${Exe_Output}
+  else
+    IGCM_sys_Put_Out ${Exe_Output} ${R_OUT_KSH}/${PREFIX}_${Exe_Output}
+  fi
   eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${Exe_Output}"
 
   IGCM_card_CheckConflict run.card
-  IGCM_sys_PutBuffer_Out ${SUBMIT_DIR}/run.card ${R_BUF_KSH}/run.card rw
+  if [ X${Pack} = Xtrue ] ; then
+    IGCM_sys_PutBuffer_Out ${SUBMIT_DIR}/run.card ${R_BUF_KSH}/run.card rw
+  else
+    IGCM_sys_Put_Out ${SUBMIT_DIR}/run.card ${R_OUT_KSH}/run.card rw
+  fi
 
   if [ ${DRYRUN} -le 1 ] ; then
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 633)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 634)
@@ -91,6 +91,7 @@
 #====================================================
 . /home/cont003/p86ipsl/.atlas_env_titane_ksh
-
-module switch nco/3.9.4 nco/3.9.4_netcdf4
+if [ X${LSB_QUEUE} = Xmono ] ; then
+  module switch nco/3.9.4 nco/3.9.4_netcdf4
+fi
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 633)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 634)
@@ -174,5 +174,5 @@
   echo "${@} " >> ${THEFILE}
 
-    # No frontend queue on brodie : just rsh the job on the frontend with submission.
+  # No frontend queue on brodie : just rsh the job on the frontend with submission.
   sed -e "s@IGCM_sys_Qsub\(.*\)@\1@" ${THEFILE} > ${THEFILE}_
 